Subject: USB boot problems

From: Because Of <[email-masked]>
Date: Wed, 20 Nov 2019 19:14:40 +0100 (CET)

Greetings.

I'm having some trouble working out where to start debugging
an issue I have.  I am trying to boot Alpine from a USB
disk, details follow shortly.

The error I'm getting is:
Mounting boot media failed.

When I type 'exit' at the prompt I additionally get:
grep: /sysroot/etc/inittab  not found
/sbin/init  not found in new root

I have tried the obvious solution found on
Create_a_Bootable_USB on the wiki under Wrong Device Name.
This did not help.

The particulars are as follows, for the USB's partitions:
sdb1 - a data partition
sdb2 - the EFI partition
sdb3 - future "root" partition, currently has Gentoo.

The booting is handled via Syslinux, Gentoo boots just fine
here.  While I'm not sure it matters (or should matter) the
system I'm working with is a mid 2009 MacBookPro.  This
will likely come bite me later, but for now it should be
fine.

So yeah, any ideas? :/  Thanks.

-- 
Sent with https://mailfence.com
Secure and private email